Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::DataSource Class Reference
Ipe Base

`#include <ipebase.h>`

Inherited by ipe::A85Source, ipe::Base64Source, ipe::BufferSource, ipe::FileSource, ipe::InflateSource, PsSource, and StandardStyleSource.

## Public Member Functions

virtual | ~DataSource ()=0
virtual int | getChar ()=0

## Detailed Description

Interface for getting data for parsing.

## Constructor & Destructor Documentation

DataSource::~DataSource | ( |  | ) |

pure virtual

Pure virtual destructor.

## Member Function Documentation

virtual int ipe::DataSource::getChar | ( |  | ) |

pure virtual

Get one more character, or EOF.

Implemented in ipe::BufferSource, ipe::FileSource, ipe::InflateSource, ipe::Base64Source, and ipe::A85Source.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp